Index: /tags/ipp-20130307/pstamp/scripts/pstamp_server_status
===================================================================
--- /tags/ipp-20130307/pstamp/scripts/pstamp_server_status	(revision 35483)
+++ /tags/ipp-20130307/pstamp/scripts/pstamp_server_status	(revision 35484)
@@ -65,16 +65,19 @@
 
 
+    my $serverRunning = 0;
     my $command = "$pantasks_client < $pantasks_script";
     my  ( $success, $error_code, $full_buf, $stdout_buf, $stderr_buf ) =
         run(command => $command, verbose => $verbose);
-    unless ($success) {
+    if ($success) {
+        $serverRunning = 1;
+    } else {
         $error_code = (($error_code >> 8) or 1);
-        if ($error_code == 12) {
-            print "Postage Stamp Server is not running\n";
+        if ($error_code == 12 || $error_code == 13) {
+            print "Postage Stamp Server is not running\n<br>";
             #print "Postage Stamp Server will be down for maintenance it will back shortly.\n";
-            exit 0;
+#            exit 0;
         } else {
-            warn("$command failed. exit status: $error_code");
-            exit $error_code;
+            warn("\nError: $command failed. exit status: $error_code\n");
+#            exit $error_code;
         }
     }
@@ -119,10 +122,10 @@
         } else {
             print STDERR "Controller state not found";
-            exit 1;
+#            exit 1;
         }
         print "$br$br\n";
-    } else {
+    } elsif ($serverRunning) {
         print STDERR "Scheduler state not found";
-        exit 1;
+#        exit 1;
     }
 
@@ -148,6 +151,6 @@
             print "Task pstamp.job.run not found.<br />\n";
         }
-    } else {
-        print "Task pstamp.request.run not found.\n";
+    } elsif ($serverRunning) {
+        print "Task pstamp.request.run not found.<br >\n";
     }
 }
